Name:           nodejs-leaflet-hash
Version:        0.2.1
Release:        1%{?dist}
Summary:        Linkable location hashes for Leaflet

License:        MIT
URL:            https://github.com/mlevans/leaflet-hash
Source0:        http://registry.npmjs.org/leaflet-hash/-/leaflet-hash-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

Requires:       js-leaflet-hash = %{version}-%{release}

BuildRequires:  nodejs-packaging
BuildRequires:  web-assets-devel

%description
Leaflet-hash lets you to add dynamic URL hashes to web pages with
Leaflet maps. You can easily link users to specific map views.


%package -n js-leaflet-hash
Summary:        Linkable location hashes for leaflet
Requires:       web-assets-filesystem
Requires:       js-leaflet

%description -n js-leaflet-hash
Leaflet-hash lets you to add dynamic URL hashes to web pages with
Leaflet maps. You can easily link users to specific map views.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{_jsdir}/leaflet
cp -pr leaflet-hash.js %{buildroot}%{_jsdir}/leaflet
mkdir -p %{buildroot}%{nodejs_sitelib}/leaflet-hash
cp -pr package.json %{buildroot}%{nodejs_sitelib}/leaflet-hash
ln -s %{_jsdir}/leaflet/leaflet-hash.js %{buildroot}%{nodejs_sitelib}/leaflet-hash
%nodejs_symlink_deps


%files
%{nodejs_sitelib}/leaflet-hash


%files -n js-leaflet-hash
%doc LICENSE.md README.md
%{_jsdir}/leaflet/leaflet-hash.js


%changelog
* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 0.2.1-1
- Initial build of 0.2.1
